spring:
  profiles:
    active: dev
    multipart:
      max-file-size: 50MB
      max-request-size: 200MB
  tomcat:
    max-upload-size: 200MB

  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher

  application:
    name: sp-sales
  main:
    allow-circular-references: true
    allow-bean-definition-overriding: true
  # 定时任务
#  quartz:
#    jdbc:
#      initialize-schema: never
#    job-store-type: jdbc
#    properties:
#      org:
#        quartz:
#          dataSource:
#            myDS: # 设置数据源名称
#              driver: com.mysql.jdbc.Driver
#              URL: jdbc:mysql://192.168.1.93:39091/sp_sales_dev?useSSL=false&autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&noDatetimeStringSync=true&serverTimezone=Asia/Shanghai
#              username: root
#              password: DW8YRN*5!6u&Agt7N
#          scheduler:
#            instanceId: AUTO
#            instanceName: quartzScheduler
#          jobStore:
#            useProperties: true
#            isClustered: true
#            maxMisfiresToHandleAtATime: 1
#            tablePrefix: qrtz_
#            dataSource: myDS
##            class: org.quartz.impl.jdbcjobstore.LocalDataSourceJobStore
#            class: org.quartz.impl.jdbcjobstore.JobStoreTX
#            clusterCheckinInterval: 3600000
#            driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate
#          threadPool:
#            threadCount: 10
#            threadPriority: 5
#            threadsInheritContextClassLoaderOfInitializingThread: true
#            class: org.quartz.simpl.SimpleThreadPool
  # 在上下文中没有Executor bean的情况下，Spring Boot会自动配置ThreadPoolTaskExecutor，并使用合理的默认值，这些默认值可以自动关联到异步任务执行(@EnableAsync)和Spring MVC异步请求处理。
  #如果您已经在上下文中定义了一个自定义执行器，那么常规任务执行(即@EnableAsync)将透明地使用它，但是Spring MVC支持将不会被配置，因为它需要一个AsyncTaskExecutor实现(名为applicationTaskExecutor)。根据您的目标安排，您可以将执行程序更改为ThreadPoolTaskExecutor，或者定义一个ThreadPoolTaskExecutor和一个包装自定义执行程序的AsyncConfigurer。
  task:
    execution:
      pool:
        core-size: 10
        max-size: 100
        queue-capacity: 50

swagger:
  production: false
  basic:
    enable: false
    username: lingcun
    password: l123@.com

fdfs:
  so-timeout: 1501
  connect-timeout:  601
  thumb-image: # 缩略图
      width: 60
      height: 60
  tracker-list: 113.106.164.42:22122

weixin:
  appid: wxe441c4feba0ca8dd
  secret: 06f454271578d3ed1db2f970e5ef47fd

gpt:
  gptLength: 16000

xh:
  xhLength: 8000


